## com.ericsson.otp.ic
Class TermHelper

    java.lang.Object
      |
      +--com.ericsson.otp.ic.TermHelper

public class TermHelper
extends java.lang.Object

Helper class for Term.

Method Summary
`static void` `marshal(com.ericsson.otp.erlang.OtpOutputStream _out, Term _any)` Marshal method for the Term class, encodes the Term object to the output stream.
`static Term` `unmarshal(com.ericsson.otp.erlang.OtpInputStream _in)` Unmarshal method for the Term class, decodes a Term object from the stream.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### marshal

    public static void marshal(com.ericsson.otp.erlang.OtpOutputStream _out,
                               Term _any)
                        throws java.lang.Exception

  Marshal method for the Term class, encodes the Term object to the output stream.

### unmarshal

    public static Term unmarshal(com.ericsson.otp.erlang.OtpInputStream _in)
                          throws java.lang.Exception

  Unmarshal method for the Term class, decodes a Term object from the stream.
  Returns:
    Term, read from the input stream

Copyright © 1991-2007 Ericsson AB